import es
import cfglib
import usermsg

info = es.AddonInfo()
info['name'] = "Hitgroup Tell"
info['basename'] = "hitgroup_tell"
info['version'] = "1.0"
info['author'] = "Undead"
info['url'] = ""
info['description'] = "Notifies Player What Body Part Was Hit"

es.ServerVar(info['basename'], info['version'], info['description']).makepublic()

cfg = cfglib.AddonCFG(es.getAddonPath('hitgroup_tell') + '/config.cfg')
msg_type = cfg.cvar('hitgroup_tell_msg_type', "1", '1 = Console, 2 = Hud, 3 = Tell')
cfg.write()

def load():
  cfg.execute()
  if msg_type not in ['1','2','3']:
    es.dbgmsg(1, "Invalid msg_type Value")
    es.dbgmsg(1, "Acceptable Values: 1, 2, 3")
    es.unload('hitgroup_tell')

def player_hurt(ev):
  user = int(ev['userid'])
  if ev['attacker'] != 0:
    if int(ev['hitgroup']) == 1:
      if int(msg_type) == 1:
        es.cexec(user, "echo %s Hit Your Head!"%ev['es_attackername'])
      elif int(msg_type) == 2:
        usermsg.hudhint(user, "%s Hit Your Head!"%ev['es_attackername'])
      elif int(msg_type) == 3:
        es.tell(user, "%s Hit Your Head!"%ev['es_attackername'])
    elif int(ev['hitgroup']) == 2:
      if int(msg_type) == 1:
        es.cexec(user, "echo %s Hit Your Upper Back/Chest!"%ev['es_attackername'])
      elif int(msg_type) == 2:
        usermsg.hudhint(user, "%s Hit Your Upper Back/Chest!"%ev['es_attackername'])
      elif int(msg_type) == 3:
        es.tell(user, "%s Hit Your Upper Back/Chest!"%ev['es_attackername'])
    elif int(ev['hitgroup']) == 3:
      if int(msg_type) == 1:
        es.cexec(user, "echo %s Hit Your Lower Back/Chest!"%ev['es_attackername'])
      elif int(msg_type) == 2:
        usermsg.hudhint(user, "%s Hit Your Lower Back/Chest!"%ev['es_attackername'])
      elif int(msg_type) == 3:
        es.tell(user, "%s Hit Your Lower Back/Chest!"%ev['es_attackername'])
    elif int(ev['hitgroup']) == 4:
      if int(msg_type) == 1:
        es.cexec(user, "echo %s Hit Your Left Arm!"%ev['es_attackername'])
      elif int(msg_type) == 2:
        usermsg.hudhint(user, "%s Hit Your Left Arm!"%ev['es_attackername'])
      elif int(msg_type) == 3:
        es.tell(user, "%s Hit Your Left Arm!"%ev['es_attackername'])
    elif int(ev['hitgroup']) == 5:
      if int(msg_type) == 1:
        es.cexec(user, "echo %s Hit Your Right Arm!"%ev['es_attackername'])
      elif int(msg_type) == 2:
        usermsg.hudhint(user, "%s Hit Your Right Arm!"%ev['es_attackername'])
      elif int(msg_type) == 3:
        es.tell(user, "%s Hit Your Right Arm!"%ev['es_attackername'])
    elif int(ev['hitgroup']) == 6:
      if int(msg_type) == 1:
        es.cexec(user, "echo %s Hit Your Left Leg!"%ev['es_attackername'])
      elif int(msg_type) == 2:
        usermsg.hudhint(user, "%s Hit Your Left Leg!"%ev['es_attackername'])
      elif int(msg_type) == 3:
        es.tell(user, "%s Hit Your Left Leg!"%ev['es_attackername'])
    elif int(ev['hitgroup']) == 7:
      if int(msg_type) == 1:
        es.cexec(user, "echo %s Hit Your Right Leg!"%ev['es_attackername'])
      elif int(msg_type) == 2:
        usermsg.hudhint(user, "%s Hit Your Right Leg!"%ev['es_attackername'])
      elif int(msg_type) == 3:
        es.tell(user, "%s Hit Your Right Leg!"%ev['es_attackername'])